version: '3.1'

services:
  agent:
    build: 
      context: ./agent
      dockerfile: Dockerfile.dev
    volumes:
      - ./agent:/agent
      - ./.Key.js:/agent/.Key.js
      - ./AuctionServices:/agent/AuctionServices
    networks:
      - internal
    ports:
      - "9229:9229"

  scrapper:
    build: 
      context: ./scrapper
      dockerfile: Dockerfile.dev
    ports:
      - 3020:3020
    volumes:
      - ./scrapper:/scrapper
      - ./.Key.js:/scrapper/.Key.js
      - ./AuctionServices:/scrapper/AuctionServices
    networks:
      - internal

networks:
  internal:
      driver: bridge